;	; uncomment for standalone compilation
;	ORG $1001-2
;	DW  $1001
;	DB $0B,$10,0,0,$9E,"4109",0,0,0
;titlescreen = canflag

cf_ptr	= $E0
	
canflag
	LDA #$CC
sync01	CMP $FF1D
	BNE sync01
	;
	LDY #$00		; screen off
	STY $FF06
	;
	LDA $FF12
	AND #$03
	STA $FF12
	;
	LDA #charset >> 8
	STA $FF13
	;
	LDA #$08		; must restore FF14, fire part changes it
	STA $FF14
	;
	LDA $FF07
	AND #$40
	ORA #$88
	STA $FF07
	;
	; ---
	;
	LDA #tmap & 255
	STA cf_ptr
	LDA #tmap >> 8
	STA cf_ptr+1
	;
	LDY #$00
	STY cf_ptr+2
	LDA #$08		; fill color map
	STA cf_ptr+3
	;
	LDX #$04
	LDA #$71		; with white!
l3	STA (cf_ptr+2),y
	INY
	BNE l3
	;
	INC cf_ptr+3
	DEX
	BNE l3
	;
	; --- main unpack loop
	;
l1	LDX #$01
	JSR next
	CMP #$FF		; the flag byte is $FF
	BNE put
	;
	JSR next		; the next byte will be the number of times...
	TAX
	;
	JSR next		; to repeat the next char
	;
put	STA (cf_ptr+2),y
	INC cf_ptr+2
	BNE *+4
	INC cf_ptr+3
	;
	DEX
	BNE put
	;
	LDA cf_ptr+3
	CMP #$10		; when the high byte reaches $10, we're done
	BNE l1
	;
	; ---
	;
	LDA #$00		; reset color counter
	STA cf_ptr
	STA cf_ptr+1		; and shutdown flag
	;
	; ---
	;
lastloop
	LDX #$FF		; sync value for pal
	;
	LDA $FF07
	AND #$40
	BEQ pal1
	;
	LDX #$F6		; on NTSC it's a little earlier 
pal1	LDY cf_ptr
	LDA black_fade_colors,y
sync02	CPX $FF1D
	BNE sync02
	;
	STA $FF19
	;
	LDA red_fade_colors,y
	STA $FF15
	;
	LDA #$1B		; screen on
	STA $FF06
	;
	LDA #$05		; max sync value for NTSC
sync2	CMP $FF1D
	BNE sync2
	;
r4_snr4_c0
	LDA $FF1E
	CMP #$D0
	BCC r4_snr4_c0	; FF1E will be in $D0-$E0 range
	;
	CMP #$E0	; 2
	BEQ r4_snc9	; 2 ; 3 if taken = 5  + 8 ahead = 13
	CMP #$DE	; 2
	BEQ r4_snc8	; 2 ; 3 if taken = 9  + 7 ahead = 16
	CMP #$DC	; 2
	BEQ r4_snc7	; 2 ; 3 if taken = 13 + 6 ahead = 19
	CMP #$DA	; 2
	BEQ r4_snc6	; 2 ; 3 if taken = 17 + 5 ahead = 22
	CMP #$D8	; 2
	BEQ r4_snc5	; 2 ; 3 if taken = 21 + 4 ahead = 25
	CMP #$D6	; 2
	BEQ r4_snc4	; 2 ; 3 if taken = 25 + 3 ahead = 28 / needs 9
	CMP #$D4	; 2
	BEQ r4_snc3	; 2 ; 3 if taken = 29 + 2 ahead = 31 / needs 6
	CMP #$D2	; 2
	BEQ r4_snc2	; 2 ; 3 if taken = 33 + 1 ahead = 34 / needs 3
	CMP #$D0	; 2
	BEQ r4_snr4_c1	; 2 ; 3 if taken = 37
r4_snc9	BIT $24
r4_snc8	BIT $24
r4_snc7	BIT $24
r4_snc6	BIT $24
r4_snc5	BIT $24
r4_snc4	BIT $24
r4_snc3	BIT $24
r4_snc2	BIT $24	; 3
r4_snr4_c1
	;
	LDA #$03		; earlier than last sync value
sync3	CMP $FF1D
	BNE sync3
	;
	LDA red_fade_colors,y
	STA $FF19
	;
	LDA black_fade_colors,y
	;
	LDX #$CB
sync1	CPX $FF1D
	BNE sync1
	;
	ASL $06
	ASL $06
	ASL $06
	ASL $06
	ASL $06
	ASL $06
	ASL $06
	ASL $06
	BIT $24
	BIT $24
	;
	STA $FF19
	;
	LDA cf_ptr+1
	BMI cf_shutdown
	;
	CPY #red_fade_colors-black_fade_colors-1
	BEQ cf_end
	INY
	STY cf_ptr
	;
	JMP lastloop
	;
cf_end	LDA #$7F
	STA $FD30
	STA $FF08
	LDA $FF08
	AND #$10	; Query keyboard for "Space"
	BEQ pressed
	JMP lastloop
	;
pressed	LDA #$FF
	STA cf_ptr+1	; flag shutdown
	;
	JMP lastloop
	
cf_shutdown
	DEY
	BMI cf_done
	STY cf_ptr
	JMP lastloop
	;
cf_done	JMP titlescreen
	
next	LDA (cf_ptr),y		; get the next byte from our data stream
	INC cf_ptr		; 16 bit inc
	BNE *+4
	INC cf_ptr+1
	RTS
	
black_fade_colors
	DB $71,$71,$61,$61,$51,$51,$41,$41,$31,$31,$21,$11,$01,$01,$00
red_fade_colors
	DB $71,$72,$72,$62,$62,$52,$52,$52,$4B,$42,$42,$42,$32,$32,$32

tmap
	include "canflag_charmap.asm"
	ALIGN 8
o=(*-(* & $F800))/8		; offset for the chars
charset
	include "canflag_charset.asm"
;[eof]