;	ORG $1001-2	; uncomment for standalone compile
;	DW  $1001
;	DB $0B,$10,0,0,$9E,"4109",0,0,0
	
digi_addr	= $10			; fixed address, self-modifying zero page code
note_len	= $0F
sptr		= $0C

	; The note length (6 frames) and playback speed (8445 Khz)
	; were chosen to ensure all samples play $0400 worth of data.
	; This greatly simplifies playback.
	; The samples are pre-processed, they are direct $FF11 values.
	
drums
	SEI
	STA $FF3F
	;
	LDY #irq_digi_end - irq_digi
irqc2	LDA irq_digi-1,y	; copy IRQ to zero page
	STA $10-1,y
	DEY
	BNE irqc2
	;
	STY $FF06		; Y=0, screen off
	;
	LDX #$69		; digi speed for PAL (8445 Khz)
	;
	LDA $FF07
	AND #$40
	BEQ digi_pal
	;
	LDX #$58		; digi speed for NTSC
digi_pal
	STX $FF00		; set digi speed
	STY $FF01
	;
	LDA #$A8		; timer IRQ
	STA $FF0A
	;
	STY $FFFF		; IRQ addr: $0010
	LDA #$10
	STA $FFFE
	;
	LDX #$FD		; set up voices for 8-bit digi
	STX $FF0E
	INX
	STX $FF0F
	LDA #$03
	STA $FF10
	LDA $FF12
	ORA #$03
	STA $FF12
	;
	LDA #$01
	STA note_len		; make sure it triggers immediately
	;
	DEY			; y=$FF
	;
	CLI
	;
mainloop
	LDA $FF1D
	CMP #$CC
	BCC mainloop
	;
	DEC note_len
	BNE d1
	;
	INY
	LDA #$00
	STA digi_addr+1
	LDA pattern,y
	STA digi_addr+2
	;
	LDA #$06		; fixed speed, 6 frames
	STA note_len
	;
d1	;
	;
ml1	LDA $FF1D
	CMP #$CC
	BCS ml1
	;
	JMP mainloop
	;
irq_digi
	LDX samples		; 4
	STX $FF11		; 4 set Volume: play digi
	STX $FF19		; 4
	;
	ASL $FF09		; 6 Acknowledge IRQ
	;
	INC digi_addr+1		; 5
	BNE id_noinc		; 2/3 if taken
	INC digi_addr+2		; 0/5
	;
id_noinc
	RTI			; 6 total: 29/37 cycles
irq_digi_end	
	;
	; #####################
	;
ki	= (samples + $0400 * 0) >> 8
hh	= (samples + $0400 * 1) >> 8
sn	= (samples + $0400 * 2) >> 8
pi	= (samples + $0400 * 3) >> 8
st	= (samples + $0400 * 4) >> 8
et	= (samples + $0400 * 5) >> 8

	ALIGN 256
pattern
	DB ki, hh, hh, ki, et, hh, hh, ki,  hh, ki, hh, ki, et, hh, hh, hh
	DB ki, hh, hh, ki, et, hh, hh, ki,  hh, ki, hh, ki, sn, sn, hh, sn
	DB ki, hh, hh, ki, sn, hh, hh, ki,  hh, ki, hh, ki, sn, hh, hh, hh
	DB ki, hh, hh, ki, sn, hh, hh, ki,  hh, ki, hh, ki, sn, sn, hh, sn
	;
	DB ki, hh, pi, ki, sn, hh, pi, ki,  hh, ki, pi, ki, sn, hh, pi, hh
	DB ki, hh, pi, ki, sn, hh, pi, ki,  hh, ki, pi, ki, sn, sn, pi, sn
	DB ki, et, pi, ki, sn, hh, pi, ki,  et, ki, pi, ki, sn, hh, pi, hh
	DB ki, et, pi, ki, sn, hh, pi, ki,  et, ki, pi, ki, sn, sn, pi, sn
	;
	DB ki, hh, st, hh, sn, hh, st, et,  ki, hh, st, hh, sn, hh, st, sn
	DB ki, hh, st, hh, sn, hh, st, et,  ki, hh, st, hh, sn, hh, st, sn
	DB ki, hh, st, hh, sn, hh, st, et,  ki, hh, st, hh, sn, hh, st, sn
	DB ki, hh, st, hh, sn, hh, st, et,  ki, hh, st, hh, sn, hh, st, sn
	;
	DB ki, hh, pi, ki, sn, hh, pi, ki,  hh, ki, pi, ki, sn, hh, pi, hh
	DB ki, hh, pi, ki, sn, hh, pi, ki,  hh, ki, pi, ki, sn, sn, pi, sn
	DB ki, et, pi, ki, sn, hh, pi, ki,  et, ki, pi, ki, sn, hh, pi, hh
	DB ki, et, pi, ki, sn, hh, pi, ki,  et, ki, pi, ki, sn, sn, pi, sn
samples
	DB $36,$36,$36,$36,$36,$36,$36,$B5,$37,$B6,$37,$B5,$36,$35,$96,$95
	DB $96,$96,$14,$11,$91,$11,$11,$90,$11,$11,$14,$B6,$FF,$B8,$FF,$B8
	DB $B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B7,$97,$91,$11,$11,$11,$11,$91
	DB $91,$90,$11,$11,$31,$97,$B7,$FF,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8
	DB $FF,$B8,$B8,$B7,$36,$15,$90,$11,$90,$91,$11,$91,$91,$91,$11,$11
	DB $11,$11,$11,$93,$B4,$B7,$FF,$B8,$FF,$B8,$B8,$B8,$B8,$B8,$B8,$B8
	DB $B8,$B8,$B8,$B8,$B7,$B5,$96,$13,$90,$11,$11,$11,$91,$91,$91,$91
	DB $91,$91,$91,$11,$11,$11,$11,$12,$33,$98,$B7,$FF,$B8,$FF,$B8,$B8
	DB $B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B7,$B6,$36,$96
	DB $15,$11,$11,$11,$11,$11,$91,$91,$91,$91,$91,$91,$91,$91,$91,$11
	DB $11,$11,$11,$91,$93,$96,$36,$B6,$B8,$FF,$B8,$B8,$B8,$B8,$B8,$B8
	DB $B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B7,$B7,$37,$36
	DB $35,$B3,$24,$13,$11,$91,$11,$91,$91,$91,$91,$91,$91,$91,$91,$91
	DB $91,$91,$91,$91,$91,$31,$31,$31,$13,$13,$13,$93,$95,$B4,$B5,$B6
	DB $B7,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8
	DB $B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B7,$B6,$37,$36,$35,$B3
	
	DB $24,$15,$31,$11,$11,$11,$91,$11,$91,$91,$91,$91,$91,$91,$91,$91
	DB $91,$91,$91,$91,$91,$11,$91,$91,$91,$91,$12,$31,$13,$92,$92,$15
	DB $17,$95,$97,$36,$37,$B6,$B7,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8
	DB $B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8
	DB $B8,$B8,$B8,$B8,$B8,$B7,$B6,$37,$36,$98,$97,$B3,$33,$93,$13,$91
	DB $11,$11,$91,$91,$91,$91,$91,$91,$91,$91,$91,$91,$91,$91,$91,$91
	DB $91,$91,$91,$91,$91,$91,$12,$31,$13,$13,$13,$13,$13,$92,$92,$14
	DB $14,$15,$93,$94,$95,$97,$98,$36,$37,$B6,$B7,$B7,$B8,$B8,$B8,$B8
	DB $B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8
	DB $B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B7,$B7,$B7,$B7,$B7,$B7,$B6
	DB $B6,$37,$36,$36,$B4,$97,$96,$96,$B3,$95,$94,$93,$14,$13,$91,$91
	DB $91,$11,$91,$91,$91,$91,$91,$91,$91,$91,$91,$91,$91,$91,$91,$91
	DB $91,$91,$91,$91,$91,$91,$91,$91,$91,$12,$31,$13,$13,$92,$14,$15
	DB $93,$B2,$95,$96,$97,$36,$B5,$37,$B6,$B7,$B7,$B7,$B8,$B8,$B8,$B8
	DB $B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8
	DB $B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B7
	
	DB $B7,$B7,$B6,$B6,$37,$B5,$36,$98,$97,$B3,$95,$94,$16,$93,$93,$93
	DB $93,$15,$14,$92,$31,$91,$91,$91,$91,$91,$91,$91,$91,$91,$91,$91
	DB $91,$91,$91,$91,$91,$91,$91,$91,$91,$91,$91,$91,$12,$13,$14,$15
	DB $16,$17,$17,$17,$24,$33,$95,$B3,$B3,$B3,$B3,$B3,$B3,$96,$97,$B4
	DB $36,$36,$36,$B5,$37,$B6,$B6,$B6,$B7,$B7,$B8,$B8,$B8,$B8,$B8,$B8
	DB $B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B8
	DB $B8,$B8,$B8,$B8,$B8,$B8,$B7,$B7,$B7,$B6,$B6,$B6,$B6,$37,$B5,$B5
	DB $36,$36,$36,$36,$98,$98,$35,$97,$96,$B3,$95,$33,$33,$33,$95,$95
	DB $95,$95,$95,$95,$95,$33,$17,$B2,$B2,$B2,$B2,$B2,$16,$93,$15,$14
	DB $14,$92,$14,$15,$15,$15,$15,$14,$14,$14,$14,$15,$93,$16,$17,$17
	DB $94,$33,$95,$95,$33,$94,$17,$17,$24,$94,$24,$17,$17,$94,$33,$95
	DB $B3,$96,$35,$98,$36,$36,$B5,$37,$37,$B6,$B6,$B7,$B7,$B7,$B7,$B8
	DB $B8,$B8,$B8,$B7,$B7,$B7,$B7,$B7,$B7,$B7,$B7,$B7,$B7,$B7,$B7,$B7
	DB $B7,$B8,$B8,$B8,$B8,$B8,$B8,$B8,$B7,$B7,$B7,$B7,$B7,$B7,$B6,$B6
	DB $B6,$37,$37,$37,$37,$37,$B5,$B5,$B5,$36,$36,$98,$35,$97,$97,$97
	DB $96,$96,$B3,$95,$33,$33,$33,$95,$95,$33,$94,$B2,$93,$15,$15,$15
	
	DB $93,$16,$B2,$17,$17,$17,$24,$94,$94,$94,$94,$94,$17,$B2,$16,$93
	DB $15,$15,$15,$93,$93,$16,$16,$B2,$B2,$B2,$17,$94,$33,$B3,$97,$35
	DB $98,$36,$36,$B5,$B5,$B5,$37,$37,$37,$37,$B6,$B6,$B6,$37,$37,$37
	DB $37,$37,$37,$37,$37,$37,$B6,$B6,$B6,$B6,$B6,$B6,$B6,$B6,$B6,$B7
	DB $B7,$B7,$B7,$B7,$B7,$B7,$B8,$B7,$B7,$B7,$B7,$B7,$B7,$B7,$B7,$B7
	DB $B7,$B6,$B6,$B6,$B6,$B6,$B6,$37,$37,$B5,$B5,$36,$36,$36,$36,$36
	DB $98,$98,$35,$35,$97,$97,$97,$97,$35,$98,$98,$98,$35,$96,$B3,$95
	DB $95,$95,$95,$95,$95,$95,$33,$17,$15,$13,$12,$91,$91,$91,$91,$91
	DB $91,$11,$91,$11,$12,$13,$13,$14,$15,$93,$B2,$24,$94,$33,$95,$96
	DB $97,$B4,$98,$98,$36,$36,$36,$B5,$37,$37,$37,$37,$37,$37,$37,$37
	DB $37,$37,$37,$B6,$B6,$B6,$B6,$B6,$B6,$B6,$B6,$B6,$B6,$B7,$B7,$B8
	DB $B8,$B8,$B8,$B8,$B8,$B8,$B8,$B7,$B7,$B7,$B7,$B7,$B7,$B7,$B6,$B6
	DB $B6,$B6,$37,$37,$37,$B5,$36,$98,$35,$35,$97,$97,$97,$97,$97,$97
	DB $97,$97,$97,$35,$35,$35,$97,$97,$97,$96,$96,$96,$96,$96,$96,$96
	DB $B3,$95,$95,$95,$33,$33,$33,$33,$33,$33,$33,$33,$33,$33,$95,$95
	DB $95,$B3,$96,$96,$97,$97,$35,$B4,$B4,$97,$97,$96,$B3,$B3,$B3,$95
	
	DB $36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$98,$36,$36,$98,$98
	DB $B4,$98,$98,$98,$98,$98,$98,$98,$98,$98,$98,$98,$98,$36,$36,$36
	DB $36,$36,$36,$36,$36,$36,$36,$B5,$36,$36,$36,$B5,$B5,$B5,$B5,$B5
	DB $B5,$B5,$B5,$B5,$B5,$B5,$B5,$B5,$B5,$B5,$B5,$B5,$B5,$B5,$B5,$B5
	DB $B5,$B5,$B5,$B5,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36
	DB $B5,$B5,$B5,$B5,$B5,$B5,$37,$37,$37,$37,$37,$37,$37,$37,$B5,$B5
	DB $37,$37,$37,$B6,$37,$37,$37,$B5,$B5,$B5,$37,$36,$36,$36,$B5,$36
	DB $36,$36,$36,$36,$36,$36,$98,$97,$B4,$36,$B4,$97,$35,$97,$96,$97
	DB $35,$35,$97,$35,$B4,$98,$35,$98,$36,$35,$98,$98,$98,$36,$36,$98
	DB $36,$37,$36,$36,$B5,$37,$B5,$36,$36,$36,$B5,$36,$37,$37,$B5,$B5
	DB $37,$37,$36,$98,$B5,$36,$36,$B5,$B5,$36,$97,$97,$36,$36,$98,$36
	DB $37,$36,$98,$98,$36,$36,$36,$B5,$98,$97,$36,$B5,$36,$36,$B5,$B5
	DB $B5,$B5,$B5,$B5,$36,$36,$B5,$B5,$B5,$B5,$B5,$36,$36,$36,$B4,$98
	DB $97,$97,$36,$36,$36,$35,$97,$97,$98,$36,$98,$35,$B4,$97,$96,$B4
	DB $98,$97,$97,$98,$97,$97,$36,$B4,$96,$36,$36,$98,$B5,$B4,$35,$B5
	DB $98,$98,$B5,$36,$36,$36,$36,$98,$36,$36,$B5,$36,$36,$B4,$98,$36
	
	DB $98,$B5,$36,$36,$36,$B5,$36,$36,$36,$98,$35,$35,$35,$35,$96,$36
	DB $98,$97,$36,$98,$B4,$B5,$36,$36,$36,$98,$B5,$B5,$98,$98,$36,$36
	DB $B5,$36,$B5,$36,$36,$37,$36,$36,$B5,$B5,$98,$B4,$36,$35,$B4,$98
	DB $98,$97,$98,$36,$B4,$97,$96,$97,$97,$97,$96,$97,$97,$96,$B3,$96
	DB $97,$97,$97,$97,$96,$35,$98,$35,$35,$97,$35,$96,$35,$98,$36,$98
	DB $98,$36,$98,$36,$98,$36,$B4,$36,$36,$98,$36,$36,$98,$B4,$B4,$36
	DB $98,$97,$B4,$B5,$36,$98,$B4,$35,$36,$36,$97,$98,$98,$97,$98,$97
	DB $B4,$98,$B4,$36,$35,$97,$36,$35,$97,$98,$36,$36,$B4,$B4,$36,$36
	DB $35,$98,$36,$36,$98,$B5,$B5,$36,$98,$B5,$36,$B5,$36,$98,$98,$B5
	DB $B5,$36,$36,$36,$36,$36,$36,$36,$36,$98,$98,$B4,$B4,$35,$98,$36
	DB $96,$97,$98,$B4,$B4,$97,$35,$98,$97,$97,$98,$35,$97,$36,$97,$35
	DB $B4,$98,$98,$98,$97,$98,$36,$98,$98,$98,$98,$98,$B4,$B4,$98,$98
	DB $98,$98,$B4,$98,$36,$98,$98,$98,$35,$35,$B4,$98,$B4,$B4,$98,$B4
	DB $98,$36,$98,$98,$36,$98,$98,$98,$98,$36,$36,$98,$36,$36,$36,$B5
	DB $B5,$B5,$36,$98,$B5,$B5,$36,$B5,$B5,$36,$36,$98,$36,$36,$36,$36
	DB $98,$36,$36,$36,$35,$98,$98,$97,$97,$B4,$36,$98,$97,$97,$98,$97
	
	DB $97,$35,$97,$97,$97,$B4,$35,$B4,$98,$36,$98,$B4,$36,$36,$B5,$36
	DB $36,$B5,$36,$36,$37,$B5,$B5,$36,$B5,$B5,$B5,$B5,$37,$36,$B5,$B5
	DB $B5,$B5,$36,$36,$36,$36,$36,$B5,$98,$98,$B4,$98,$98,$97,$97,$35
	DB $B4,$97,$97,$97,$97,$97,$B4,$35,$97,$97,$B4,$35,$98,$98,$98,$36
	DB $98,$B4,$36,$36,$36,$36,$36,$36,$36,$B5,$36,$36,$36,$B5,$B5,$36
	DB $36,$B5,$B5,$36,$36,$36,$B5,$36,$36,$36,$36,$98,$36,$36,$36,$B4
	DB $98,$98,$35,$35,$B4,$B4,$35,$35,$35,$B4,$98,$98,$98,$98,$35,$98
	DB $98,$36,$98,$36,$36,$36,$98,$36,$36,$36,$36,$36,$36,$36,$36,$B5
	DB $B5,$36,$B5,$B5,$B5,$B5,$B5,$B5,$B5,$B5,$B5,$B5,$36,$36,$36,$36
	DB $36,$36,$36,$98,$36,$36,$36,$36,$36,$98,$36,$36,$36,$36,$36,$36
	DB $36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36
	DB $36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36
	DB $36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36
	DB $36,$36,$36,$B5,$B5,$36,$36,$B5,$B5,$36,$36,$36,$B5,$36,$36,$36
	DB $B5,$36,$B5,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36
	DB $36,$98,$36,$36,$98,$36,$36,$36,$98,$98,$36,$36,$98,$36,$36,$36
	
	DB $36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36
	DB $36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$98,$36,$98,$98
	DB $36,$98,$98,$98,$B4,$B4,$35,$B4,$B4,$35,$B4,$98,$36,$36,$98,$36
	DB $36,$36,$36,$36,$36,$36,$36,$36,$36,$B5,$B5,$B5,$B5,$B5,$B5,$B5
	DB $B5,$37,$B5,$B5,$37,$B5,$B5,$B5,$B5,$B5,$B5,$B5,$B5,$36,$36,$B5
	DB $36,$36,$36,$36,$36,$36,$98,$36,$98,$98,$36,$98,$B4,$98,$B4,$36
	DB $36,$98,$98,$36,$98,$36,$98,$98,$98,$98,$36,$36,$36,$36,$36,$36
	DB $36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$98
	DB $36,$98,$98,$98,$98,$98,$98,$98,$36,$98,$B4,$98,$98,$36,$36,$36
	DB $36,$36,$98,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36
	DB $36,$36,$36,$B5,$B5,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36
	DB $36,$36,$36,$98,$98,$98,$98,$98,$98,$98,$98,$98,$98,$36,$36,$98
	DB $98,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$B5,$36,$36
	DB $36,$B5,$36,$36,$36,$36,$36,$36,$36,$36,$98,$36,$36,$98,$98,$B4
	DB $B4,$35,$97,$35,$B4,$35,$97,$97,$97,$97,$97,$35,$35,$97,$35,$35
	DB $B4,$B4,$98,$36,$36,$36,$36,$36,$36,$36,$B5,$B5,$B5,$B5,$37,$B5
	
	DB $96,$33,$15,$14,$17,$B6,$37,$B7,$B8,$B8,$B7,$B7,$35,$97,$95,$11
	DB $16,$90,$92,$11,$33,$94,$B5,$36,$B5,$B5,$B5,$B7,$B7,$B6,$B5,$B6
	DB $B8,$98,$B6,$98,$B6,$97,$96,$37,$97,$91,$36,$17,$B3,$B2,$13,$96
	DB $14,$95,$12,$B3,$96,$B4,$96,$97,$37,$B7,$B6,$B3,$B6,$FF,$B7,$B8
	DB $B7,$FF,$B8,$FF,$B7,$B6,$98,$B6,$95,$96,$36,$12,$12,$91,$13,$15
	DB $92,$95,$97,$B2,$B4,$11,$93,$B6,$B6,$B5,$B7,$37,$B7,$B7,$B8,$B7
	DB $B7,$B7,$B6,$B7,$B7,$B7,$37,$B6,$B8,$B6,$37,$96,$35,$37,$97,$97
	DB $16,$31,$14,$13,$15,$31,$93,$B3,$96,$B2,$96,$35,$36,$36,$B7,$B8
	DB $B7,$B8,$B6,$B8,$B7,$B6,$B6,$B6,$B6,$B5,$98,$98,$97,$95,$15,$24
	DB $16,$12,$15,$95,$94,$96,$97,$37,$37,$37,$B6,$B7,$B7,$B7,$B6,$B7
	DB $B7,$B7,$B7,$37,$37,$36,$98,$35,$95,$95,$93,$95,$B2,$B2,$B3,$95
	DB $94,$95,$B3,$35,$35,$97,$37,$B5,$37,$B6,$B6,$B6,$B6,$B8,$B7,$B7
	DB $B7,$B7,$B7,$B6,$B7,$37,$B5,$36,$35,$96,$96,$B3,$16,$15,$16,$92
	DB $93,$93,$15,$33,$95,$96,$36,$36,$B6,$37,$B7,$B7,$B7,$B7,$B7,$B8
	DB $B7,$B7,$B7,$37,$37,$36,$36,$35,$35,$35,$B4,$95,$95,$97,$B2,$B2
	DB $33,$33,$33,$15,$33,$B3,$95,$98,$97,$36,$B5,$B5,$B5,$B6,$B6,$B8
	
	DB $B6,$B7,$B7,$B7,$B6,$B6,$B6,$37,$B5,$35,$35,$97,$B3,$95,$16,$96
	DB $96,$96,$B3,$96,$97,$35,$36,$B4,$B5,$36,$36,$36,$B5,$B5,$98,$36
	DB $97,$36,$B5,$98,$36,$B5,$36,$B6,$36,$B5,$B6,$B5,$37,$36,$37,$B5
	DB $98,$98,$36,$97,$98,$97,$B3,$96,$96,$B3,$98,$33,$35,$96,$98,$98
	DB $B5,$36,$B5,$B5,$36,$B5,$B6,$B5,$36,$B5,$36,$36,$98,$B5,$98,$36
	DB $36,$98,$36,$B4,$36,$36,$36,$36,$36,$36,$36,$B5,$36,$36,$36,$36
	DB $97,$35,$98,$36,$97,$35,$36,$35,$36,$97,$36,$35,$36,$36,$35,$B4
	DB $B5,$97,$36,$36,$36,$36,$37,$37,$98,$B5,$36,$36,$37,$36,$36,$98
	DB $36,$36,$36,$96,$97,$98,$35,$97,$36,$B4,$98,$98,$98,$36,$97,$98
	DB $35,$36,$98,$35,$36,$36,$98,$B5,$B5,$98,$B5,$36,$37,$B5,$B6,$36
	DB $37,$B5,$36,$36,$97,$98,$35,$96,$98,$96,$97,$35,$36,$36,$B5,$98
	DB $36,$36,$B5,$36,$98,$36,$36,$36,$B5,$98,$98,$36,$36,$36,$36,$36
	DB $36,$36,$36,$36,$36,$98,$36,$B5,$B4,$B4,$97,$B4,$98,$B4,$35,$35
	DB $36,$96,$B4,$36,$36,$B5,$37,$36,$B5,$37,$36,$36,$36,$98,$98,$36
	DB $36,$96,$B4,$B5,$98,$35,$36,$B5,$98,$B5,$36,$36,$36,$36,$98,$98
	DB $98,$B4,$36,$96,$B4,$97,$35,$97,$35,$98,$36,$36,$B5,$36,$37,$36
	
	DB $B5,$B5,$37,$B5,$36,$36,$B5,$B5,$B5,$B5,$36,$36,$36,$97,$B4,$97
	DB $B3,$95,$97,$96,$35,$97,$B3,$B5,$98,$36,$36,$B5,$37,$37,$36,$36
	DB $36,$36,$37,$97,$B5,$B5,$37,$B6,$37,$37,$37,$36,$B4,$36,$B3,$96
	DB $96,$96,$B3,$96,$B3,$97,$B4,$B5,$36,$96,$98,$B5,$36,$36,$B5,$37
	DB $37,$B5,$B5,$37,$37,$B5,$B5,$37,$35,$B5,$97,$97,$36,$97,$36,$36
	DB $36,$97,$B5,$97,$36,$36,$36,$98,$97,$97,$98,$35,$36,$36,$36,$36
	DB $37,$36,$B5,$98,$B4,$36,$B5,$98,$36,$97,$98,$36,$36,$36,$36,$B5
	DB $B5,$36,$36,$36,$97,$36,$97,$98,$96,$35,$36,$97,$36,$35,$B4,$36
	DB $B5,$36,$36,$36,$37,$37,$37,$36,$B5,$36,$B5,$36,$B5,$36,$98,$36
	DB $36,$B4,$35,$97,$35,$36,$B4,$97,$36,$35,$97,$97,$98,$97,$35,$35
	DB $36,$36,$B5,$B5,$37,$37,$37,$37,$37,$37,$36,$37,$B5,$36,$36,$36
	DB $36,$98,$97,$35,$96,$96,$97,$96,$96,$97,$36,$98,$98,$36,$36,$37
	DB $B5,$B5,$B5,$B5,$36,$B5,$36,$B5,$98,$35,$36,$35,$36,$98,$98,$B5
	DB $B5,$36,$98,$36,$36,$36,$36,$36,$98,$36,$36,$98,$36,$36,$B4,$35
	DB $36,$98,$98,$36,$35,$B5,$36,$B5,$36,$B5,$36,$36,$98,$36,$98,$B4
	DB $97,$98,$36,$36,$36,$B4,$36,$36,$98,$B5,$35,$36,$36,$36,$98,$36
	
	DB $36,$B5,$B5,$B5,$B5,$B5,$B5,$B5,$98,$36,$B4,$36,$36,$96,$B4,$35
	DB $98,$98,$35,$98,$36,$35,$36,$35,$36,$98,$36,$36,$36,$36,$B5,$36
	DB $B5,$36,$B5,$B5,$B5,$B5,$B5,$B5,$36,$B5,$B5,$36,$36,$98,$36,$36
	DB $B4,$B4,$B4,$97,$97,$97,$97,$98,$97,$36,$36,$98,$97,$36,$36,$36
	DB $B5,$36,$36,$B5,$37,$36,$36,$37,$B5,$B5,$36,$36,$36,$37,$36,$98
	DB $B4,$36,$36,$97,$97,$96,$97,$35,$B4,$B4,$B4,$36,$36,$98,$36,$36
	DB $98,$B5,$37,$37,$B5,$36,$36,$B5,$B5,$B5,$36,$97,$36,$B4,$36,$98
	DB $97,$98,$98,$36,$36,$35,$36,$B5,$36,$36,$37,$36,$B5,$B5,$37,$B5
	DB $37,$B5,$B5,$36,$B4,$B4,$97,$B4,$35,$97,$B4,$B4,$36,$35,$36,$B4
	DB $97,$97,$36,$98,$98,$36,$B5,$B5,$36,$B5,$B5,$36,$B5,$37,$B5,$37
	DB $37,$37,$36,$36,$36,$35,$98,$36,$97,$35,$B4,$96,$36,$36,$97,$98
	DB $B4,$36,$B4,$98,$98,$98,$36,$36,$36,$98,$37,$36,$36,$B5,$B5,$36
	DB $B5,$36,$B5,$B5,$98,$98,$36,$B5,$98,$36,$36,$B5,$B5,$97,$36,$98
	DB $36,$36,$36,$98,$36,$36,$97,$97,$35,$B4,$98,$36,$98,$36,$98,$36
	DB $36,$36,$36,$36,$B5,$B5,$36,$B5,$36,$B5,$B5,$36,$36,$B5,$36,$B5
	DB $36,$98,$36,$36,$36,$98,$36,$98,$36,$98,$35,$36,$B4,$98,$B4,$97
	
	DB $36,$36,$B5,$B5,$B5,$36,$98,$35,$B4,$36,$36,$B5,$36,$36,$35,$97
	DB $97,$98,$36,$37,$37,$37,$B5,$98,$B4,$35,$B4,$36,$36,$36,$98,$35
	DB $B4,$98,$98,$36,$B5,$37,$B5,$36,$98,$98,$98,$36,$36,$36,$36,$36
	DB $35,$97,$98,$98,$35,$B4,$36,$36,$36,$B5,$36,$36,$B5,$37,$37,$B5
	DB $B4,$B4,$36,$37,$B5,$98,$98,$97,$96,$96,$97,$35,$98,$B5,$36,$B4
	DB $96,$96,$35,$37,$B6,$B7,$B6,$36,$98,$B4,$B4,$36,$37,$36,$B3,$93
	DB $33,$96,$B3,$95,$97,$B4,$97,$36,$37,$37,$37,$37,$37,$B6,$B6,$37
	DB $37,$B5,$B5,$36,$B5,$B5,$36,$36,$35,$B3,$95,$96,$97,$B4,$36,$B5
	DB $B5,$B5,$37,$B6,$B6,$B5,$B4,$98,$36,$36,$98,$35,$96,$B3,$B3,$96
	DB $96,$97,$36,$37,$37,$37,$B5,$36,$36,$98,$B5,$37,$B5,$36,$98,$35
	DB $97,$96,$96,$97,$35,$97,$B3,$97,$98,$36,$B5,$B5,$B5,$37,$B5,$98
	DB $97,$B4,$98,$97,$B4,$36,$36,$36,$36,$36,$36,$36,$35,$36,$B5,$36
	DB $37,$B6,$B6,$37,$B6,$37,$36,$B5,$37,$36,$96,$24,$B2,$17,$16,$94
	DB $95,$B3,$96,$B5,$B6,$B8,$B7,$B6,$37,$36,$36,$B5,$37,$37,$36,$97
	DB $35,$35,$97,$98,$36,$98,$97,$97,$98,$36,$B5,$36,$98,$98,$98,$36
	DB $37,$B5,$36,$98,$97,$96,$96,$97,$97,$97,$B4,$36,$36,$37,$37,$B5
	
	DB $36,$B5,$37,$37,$B5,$36,$B4,$98,$36,$36,$36,$98,$97,$96,$97,$97
	DB $97,$98,$36,$36,$36,$98,$98,$36,$36,$36,$36,$B4,$36,$36,$98,$B3
	DB $B3,$97,$35,$36,$37,$B6,$37,$B5,$36,$37,$37,$36,$B4,$36,$36,$98
	DB $98,$36,$B5,$36,$98,$B4,$98,$36,$36,$98,$98,$97,$98,$B5,$37,$36
	DB $B5,$37,$B5,$B5,$B5,$36,$35,$97,$36,$B5,$36,$97,$96,$96,$98,$B5
	DB $B5,$98,$B4,$98,$36,$B4,$98,$36,$B5,$36,$B4,$98,$B5,$37,$37,$37
	DB $B5,$B4,$97,$35,$36,$36,$B4,$96,$96,$97,$B4,$97,$96,$97,$36,$36
	DB $B5,$B5,$B5,$37,$B5,$98,$36,$37,$B5,$98,$97,$95,$24,$96,$36,$B5
	DB $37,$B5,$B5,$B5,$36,$36,$36,$35,$98,$B5,$37,$36,$B4,$36,$36,$36
	DB $36,$36,$36,$B5,$36,$36,$36,$97,$B3,$B3,$96,$97,$B4,$B5,$37,$B6
	DB $B6,$37,$36,$36,$B5,$B5,$97,$17,$B2,$96,$36,$B5,$37,$B6,$B6,$37
	DB $B6,$B6,$B6,$B6,$37,$B5,$36,$97,$95,$B2,$B2,$16,$93,$33,$96,$36
	DB $B5,$B5,$B5,$37,$B6,$37,$B5,$B5,$37,$B6,$B6,$B6,$36,$96,$B3,$96
	DB $98,$B4,$B4,$98,$35,$96,$95,$B3,$95,$96,$B4,$B4,$36,$B5,$B6,$B7
	DB $B7,$B7,$B6,$B6,$37,$37,$B5,$97,$16,$15,$95,$96,$97,$B4,$35,$36
	DB $37,$B6,$B6,$B6,$B5,$B5,$36,$96,$33,$33,$95,$95,$B3,$97,$36,$B6
	
	DB $B6,$B7,$B7,$B6,$B5,$37,$37,$B5,$B5,$36,$36,$B4,$97,$B3,$95,$96
	DB $98,$36,$B4,$B3,$B3,$95,$33,$95,$96,$36,$B5,$B5,$B5,$37,$37,$B6
	DB $B7,$B7,$B6,$B5,$36,$98,$98,$97,$95,$93,$17,$95,$35,$98,$98,$37
	DB $B6,$B6,$B6,$B7,$B6,$37,$37,$36,$97,$95,$93,$15,$17,$33,$B3,$97
	DB $98,$B5,$B6,$B6,$37,$37,$B6,$B6,$37,$98,$98,$36,$B5,$98,$98,$36
	DB $36,$36,$37,$37,$36,$97,$97,$97,$97,$97,$97,$97,$97,$B4,$36,$36
	DB $36,$37,$37,$36,$98,$98,$36,$35,$B3,$95,$96,$98,$37,$B6,$37,$B5
	DB $B5,$B5,$B5,$37,$37,$B5,$36,$B4,$96,$95,$16,$15,$B2,$95,$95,$96
	DB $98,$37,$B6,$B6,$B6,$B6,$B7,$B7,$B6,$B6,$36,$B4,$36,$36,$98,$35
	DB $97,$96,$97,$36,$98,$35,$96,$96,$96,$B3,$95,$95,$96,$97,$36,$37
	DB $B7,$B7,$B7,$B7,$B6,$B5,$36,$36,$36,$97,$B3,$95,$97,$36,$36,$B5
	DB $B5,$36,$36,$36,$36,$36,$98,$B4,$B3,$16,$16,$33,$96,$B4,$B5,$37
	DB $37,$37,$37,$B5,$36,$B5,$37,$37,$B5,$36,$98,$35,$36,$B5,$37,$36
	DB $36,$36,$36,$36,$98,$B4,$35,$97,$96,$35,$98,$B4,$96,$B3,$96,$B4
	DB $B5,$37,$B6,$B6,$37,$B5,$36,$98,$B4,$36,$B4,$B3,$B3,$97,$35,$36
	DB $B5,$37,$B6,$37,$B6,$B6,$37,$36,$96,$95,$95,$95,$B3,$B3,$B3,$96
	
	DB $97,$B4,$B5,$B5,$B5,$36,$36,$B5,$B5,$36,$97,$96,$98,$B5,$37,$B6
	DB $B6,$B6,$37,$B5,$36,$35,$97,$96,$96,$95,$B3,$96,$B3,$95,$96,$98
	DB $B5,$37,$B6,$B7,$B6,$B5,$B5,$37,$37,$B5,$36,$97,$96,$B3,$96,$B4
	DB $B5,$B5,$B5,$B5,$36,$36,$B5,$B5,$98,$35,$35,$97,$B3,$17,$B2,$33
	DB $B3,$B4,$B6,$B7,$B6,$B6,$B6,$B6,$37,$37,$36,$36,$36,$36,$36,$B5
	DB $37,$B5,$B5,$98,$97,$97,$B3,$95,$B3,$B3,$95,$33,$95,$95,$B3,$B4
	DB $37,$B7,$B8,$FF,$B7,$B6,$B5,$98,$36,$36,$35,$96,$B3,$B3,$95,$96
	DB $35,$36,$B5,$B5,$B6,$37,$37,$37,$B5,$B5,$36,$36,$36,$B4,$B3,$17
	DB $16,$94,$97,$B5,$B5,$36,$36,$36,$B5,$B5,$B5,$B5,$37,$B6,$37,$37
	DB $36,$98,$36,$36,$B5,$B5,$B5,$36,$98,$96,$33,$95,$B3,$97,$B4,$36
	DB $98,$36,$37,$B6,$B6,$B6,$37,$B5,$36,$98,$B4,$96,$95,$95,$96,$35
	DB $36,$B5,$B6,$B6,$B6,$B6,$B6,$37,$B5,$98,$97,$B3,$95,$95,$95,$95
	DB $95,$95,$97,$97,$98,$36,$36,$B5,$37,$B6,$B6,$B5,$36,$B5,$37,$B6
	DB $B6,$B6,$37,$36,$97,$B3,$33,$95,$96,$97,$B3,$B3,$96,$97,$97,$B4
	DB $98,$97,$36,$37,$B6,$B6,$B6,$B6,$B6,$B6,$B5,$98,$96,$B3,$96,$97
	DB $36,$B5,$37,$37,$B5,$B5,$36,$98,$36,$98,$B4,$36,$98,$96,$33,$95
	
	DB $98,$98,$98,$36,$35,$97,$35,$97,$35,$35,$36,$98,$95,$97,$B2,$15
	DB $B6,$B6,$35,$B4,$36,$B3,$37,$B4,$90,$14,$B3,$33,$95,$97,$98,$B2
	DB $B5,$FF,$B6,$37,$B6,$37,$B5,$36,$36,$98,$98,$98,$97,$B7,$36,$91
	DB $B3,$36,$97,$98,$B5,$B5,$36,$17,$B6,$B8,$37,$36,$37,$97,$B5,$37
	DB $31,$11,$93,$93,$13,$B2,$17,$33,$96,$11,$95,$B6,$36,$B3,$35,$97
	DB $B3,$95,$B4,$36,$11,$92,$96,$96,$15,$93,$96,$B5,$B4,$B3,$B8,$B8
	DB $37,$37,$37,$98,$36,$98,$B5,$B6,$94,$16,$97,$35,$97,$36,$98,$36
	DB $97,$98,$B7,$B7,$B6,$B6,$37,$36,$B5,$B5,$37,$B6,$35,$B2,$35,$36
	DB $36,$37,$B6,$B6,$B6,$B7,$B7,$B7,$36,$B6,$FF,$B7,$37,$B6,$B6,$B6
	DB $36,$B6,$B6,$13,$31,$97,$98,$97,$98,$36,$B3,$37,$FF,$B7,$B6,$B6
	DB $37,$98,$37,$98,$36,$B6,$17,$91,$97,$96,$97,$37,$97,$B4,$17,$95
	DB $B7,$B6,$B5,$37,$36,$96,$95,$94,$97,$37,$33,$91,$B3,$95,$93,$B4
	DB $B5,$B5,$B3,$33,$B7,$B8,$B6,$B6,$37,$B4,$36,$98,$96,$96,$B4,$98
	DB $35,$97,$97,$98,$B5,$35,$37,$B7,$B3,$95,$B5,$B5,$36,$37,$37,$B6
	DB $B3,$36,$FF,$B7,$37,$B6,$B5,$98,$B7,$97,$90,$B2,$95,$16,$33,$97
	DB $96,$98,$97,$12,$B5,$B7,$36,$36,$37,$36,$97,$96,$B6,$36,$90,$33
	
	DB $98,$97,$98,$36,$36,$B6,$98,$96,$B7,$B7,$B5,$B5,$36,$36,$B5,$98
	DB $36,$B5,$16,$31,$B3,$B3,$33,$97,$97,$36,$B4,$98,$B7,$B8,$B6,$B5
	DB $37,$B6,$B7,$36,$96,$36,$33,$16,$97,$37,$B5,$36,$98,$97,$B5,$B5
	DB $B6,$37,$B3,$B7,$B8,$B6,$37,$B6,$B5,$97,$96,$B6,$35,$90,$93,$95
	DB $33,$95,$97,$97,$B2,$B6,$B8,$36,$B5,$B6,$B6,$36,$36,$97,$B6,$B6
	DB $15,$95,$97,$33,$17,$97,$35,$36,$B3,$97,$B7,$B6,$98,$37,$37,$36
	DB $98,$96,$98,$37,$93,$11,$95,$35,$95,$97,$35,$36,$97,$B3,$B7,$FF
	DB $B6,$36,$B6,$B6,$B6,$36,$B3,$96,$36,$35,$96,$97,$97,$B4,$35,$36
	DB $B7,$36,$14,$98,$B5,$98,$37,$B6,$B6,$B6,$96,$B7,$FF,$B7,$37,$B6
	DB $B5,$B6,$B7,$15,$90,$95,$B3,$95,$96,$35,$97,$36,$96,$95,$B7,$B7
	DB $37,$36,$37,$36,$B3,$96,$B6,$B5,$31,$33,$36,$97,$96,$36,$B5,$B6
	DB $96,$33,$B7,$B8,$37,$B5,$B5,$35,$B5,$B5,$B5,$B6,$95,$13,$96,$98
	DB $B4,$98,$B4,$B5,$37,$35,$B5,$B7,$B7,$B6,$B6,$37,$37,$36,$B6,$B7
	DB $95,$16,$96,$95,$96,$36,$37,$37,$37,$37,$B6,$95,$36,$FF,$B7,$36
	DB $37,$B5,$36,$36,$37,$37,$92,$11,$33,$96,$95,$35,$B6,$97,$12,$36
	DB $B6,$98,$37,$B6,$37,$97,$35,$B4,$B6,$36,$11,$91,$17,$94,$24,$B3
	
	DB $95,$36,$96,$97,$B7,$B6,$37,$B7,$B7,$36,$98,$B4,$98,$B6,$97,$13
	DB $95,$96,$95,$97,$36,$B5,$36,$B3,$37,$B7,$B6,$37,$B6,$B5,$36,$35
	DB $97,$97,$35,$96,$95,$95,$96,$97,$96,$37,$B6,$14,$24,$36,$B4,$98
	DB $B6,$B6,$B6,$98,$98,$B8,$B8,$B7,$B6,$B6,$36,$B6,$B5,$11,$13,$95
	DB $33,$95,$95,$B3,$97,$36,$33,$95,$B7,$B7,$36,$36,$37,$37,$B5,$36
	DB $B6,$36,$93,$97,$36,$96,$96,$36,$36,$B5,$97,$95,$B7,$B8,$37,$37
	DB $B6,$B5,$36,$B4,$97,$37,$97,$31,$33,$97,$96,$98,$36,$36,$B5,$B4
	DB $37,$B8,$B8,$B6,$B6,$B6,$37,$37,$B7,$B6,$14,$33,$98,$35,$35,$36
	DB $36,$B5,$B5,$37,$98,$B3,$B7,$B8,$37,$37,$37,$36,$36,$97,$37,$B4
	DB $11,$92,$B3,$33,$33,$B3,$98,$95,$95,$B7,$B7,$37,$37,$B5,$36,$36
	DB $B5,$B4,$B6,$97,$90,$31,$33,$95,$B3,$36,$36,$B6,$98,$B5,$FF,$B7
	DB $B6,$B6,$B6,$37,$37,$B5,$98,$B6,$B3,$90,$16,$B3,$94,$95,$97,$97
	DB $B4,$33,$97,$B7,$B7,$37,$B5,$36,$98,$98,$35,$96,$95,$B3,$97,$96
	DB $97,$97,$98,$B7,$97,$31,$35,$B5,$36,$36,$37,$37,$B6,$96,$B5,$FF
	DB $B7,$B6,$B6,$37,$36,$B7,$98,$11,$17,$97,$95,$96,$35,$B4,$36,$B5
	DB $95,$98,$B8,$B7,$37,$B6,$B6,$37,$B5,$36,$B7,$36,$13,$95,$97,$95
	
	DB $B3,$98,$98,$36,$97,$95,$B7,$B8,$37,$37,$B6,$36,$35,$98,$B4,$37
	DB $98,$13,$94,$96,$96,$35,$B5,$B5,$37,$36,$36,$B7,$B8,$B6,$B6,$B6
	DB $37,$37,$B7,$96,$92,$96,$97,$B3,$97,$98,$98,$36,$36,$37,$33,$36
	DB $B8,$B6,$B5,$B6,$37,$36,$B4,$98,$B6,$95,$90,$33,$96,$95,$96,$98
	DB $36,$24,$B5,$FF,$B6,$37,$B6,$37,$B5,$98,$35,$97,$37,$96,$90,$B2
	DB $96,$33,$B3,$36,$36,$36,$33,$97,$B8,$B8,$B6,$B6,$37,$36,$36,$97
	DB $96,$B5,$97,$11,$15,$95,$33,$33,$97,$97,$B4,$B3,$95,$B6,$B7,$B5
	DB $37,$B5,$35,$96,$97,$B3,$95,$95,$95,$B3,$96,$B3,$B5,$37,$15,$33
	DB $98,$B4,$98,$37,$B6,$B6,$B6,$35,$B7,$FF,$B7,$B6,$B6,$B5,$B5,$B6
	DB $24,$11,$95,$95,$94,$B3,$97,$97,$36,$36,$33,$37,$FF,$B6,$37,$B7
	DB $B6,$B5,$36,$98,$B7,$B5,$14,$95,$35,$97,$B4,$B5,$B5,$37,$B5,$96
	DB $B7,$FF,$B6,$B6,$B6,$37,$B5,$B5,$36,$37,$37,$24,$17,$35,$35,$97
	DB $36,$37,$37,$B5,$B4,$B6,$B8,$B7,$B6,$B6,$B5,$B7,$B6,$13,$93,$97
	DB $96,$B3,$97,$97,$98,$98,$B5,$95,$95,$B7,$B7,$B5,$B5,$37,$36,$36
	DB $97,$37,$B5,$11,$14,$B3,$B3,$B3,$35,$36,$35,$33,$B6,$FF,$B6,$37
	DB $B6,$B5,$98,$36,$98,$35,$B6,$B3,$91,$95,$96,$95,$97,$36,$98,$B5
	
	DB $36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$98,$36,$98,$36,$98,$36
	DB $36,$36,$36,$98,$36,$98,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36
	DB $36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36
	DB $36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$98,$36,$98,$36
	DB $98,$36,$36,$36,$36,$36,$98,$37,$36,$36,$B6,$B6,$36,$36,$95,$98
	DB $36,$15,$B2,$95,$95,$97,$B5,$B7,$B7,$B7,$B6,$B6,$96,$37,$B3,$B2
	DB $94,$95,$33,$37,$B7,$B4,$B7,$B6,$B6,$B6,$B5,$96,$97,$97,$96,$33
	DB $B4,$36,$97,$B7,$98,$16,$B7,$36,$98,$B6,$96,$15,$37,$98,$36,$B6
	DB $B6,$98,$98,$37,$33,$B3,$36,$17,$33,$B6,$98,$96,$B6,$B7,$37,$B6
	DB $97,$31,$98,$37,$94,$33,$97,$96,$B5,$B6,$36,$B4,$B7,$B7,$36,$37
	DB $97,$B3,$37,$B3,$95,$96,$97,$37,$37,$37,$B6,$36,$B7,$36,$97,$36
	DB $B3,$35,$B5,$B3,$B5,$37,$96,$98,$B5,$36,$35,$37,$B4,$B5,$37,$35
	DB $33,$37,$B5,$36,$35,$B3,$B4,$36,$B7,$97,$B3,$B5,$35,$36,$37,$97
	DB $B5,$B6,$B5,$35,$96,$B4,$B4,$B5,$B5,$33,$36,$37,$37,$37,$B5,$B4
	DB $37,$98,$97,$36,$36,$98,$B4,$36,$97,$B4,$36,$35,$37,$37,$36,$36
	DB $B5,$B4,$36,$B4,$B3,$98,$37,$97,$B4,$B4,$36,$37,$B5,$96,$35,$B5
	
	DB $36,$B5,$36,$97,$36,$37,$B4,$97,$36,$36,$98,$37,$97,$97,$B6,$36
	DB $96,$37,$37,$96,$36,$36,$97,$B5,$B5,$96,$98,$37,$98,$35,$36,$98
	DB $97,$37,$98,$96,$B5,$37,$35,$98,$36,$96,$37,$37,$B3,$36,$B5,$36
	DB $36,$98,$97,$98,$37,$36,$96,$B5,$B5,$36,$B5,$B4,$35,$37,$36,$97
	DB $36,$36,$36,$36,$36,$98,$36,$B5,$98,$97,$B5,$36,$36,$B5,$B4,$98
	DB $36,$98,$B4,$36,$36,$B4,$36,$B4,$98,$B5,$36,$B4,$98,$B4,$36,$36
	DB $36,$35,$98,$B5,$98,$97,$36,$36,$B5,$36,$97,$98,$B5,$36,$B4,$98
	DB $36,$36,$36,$36,$B4,$36,$37,$98,$B4,$36,$36,$36,$36,$36,$98,$36
	DB $B5,$98,$36,$36,$B4,$36,$36,$98,$36,$36,$36,$98,$36,$36,$98,$36
	DB $36,$B4,$36,$36,$B4,$98,$36,$36,$98,$98,$B4,$36,$B5,$98,$98,$36
	DB $98,$36,$36,$98,$36,$36,$36,$98,$98,$36,$36,$36,$36,$98,$36,$36
	DB $36,$B5,$36,$36,$36,$36,$36,$36,$36,$B5,$36,$36,$36,$36,$36,$36
	DB $36,$36,$36,$36,$98,$36,$36,$36,$36,$36,$36,$36,$36,$36,$98,$36
	DB $36,$98,$98,$36,$36,$36,$98,$98,$36,$36,$36,$36,$36,$36,$98,$36
	DB $36,$98,$36,$98,$98,$36,$36,$98,$98,$36,$36,$36,$36,$36,$36,$B5
	DB $98,$98,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$98,$36,$36
	
	DB $36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$98
	DB $98,$36,$36,$36,$36,$36,$36,$98,$36,$36,$36,$36,$98,$36,$36,$98
	DB $98,$98,$36,$36,$36,$98,$36,$36,$36,$36,$36,$36,$36,$36,$98,$36
	DB $36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$98,$36,$36,$98,$36
	DB $36,$36,$36,$36,$36,$36,$36,$36,$98,$36,$36,$36,$36,$36,$36,$36
	DB $36,$36,$36,$36,$98,$98,$36,$36,$36,$36,$36,$36,$36,$98,$36,$36
	DB $36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36
	DB $36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36
	DB $36,$36,$36,$98,$98,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36
	DB $98,$36,$36,$36,$36,$36,$98,$36,$36,$36,$36,$36,$36,$36,$36,$36
	DB $36,$36,$98,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36
	DB $36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36
	DB $36,$98,$36,$36,$36,$98,$98,$36,$36,$36,$98,$36,$36,$36,$36,$36
	DB $36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36
	DB $36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36
	DB $36,$36,$36,$36,$36,$98,$36,$36,$36,$98,$36,$36,$36,$36,$36,$36
	
	DB $36,$36,$98,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$98
	DB $36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36
	DB $36,$36,$36,$36,$36,$36,$36,$36,$98,$36,$36,$36,$36,$36,$36,$36
	DB $36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36
	DB $36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36
	DB $36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36
	DB $36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36
	DB $36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36
	DB $36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36
	DB $36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36
	DB $36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$98,$36
	DB $36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36
	DB $36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36
	DB $36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36
	DB $36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36
	DB $36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36,$36
;[eof]