ptr	= $C0	; general pointers - 4 bytes 
addr	= $C4
caddr	= $C6
gdata	= $C8
	
FadeIn
	LDA #(fade_map_lum_lo + 8*8) & 255
	STA fptr1+1
	LDA #(fade_map_lum_lo + 8*8) >> 8
	STA fptr1+2
	LDA #(fade_map_lum_hi + 8*8) & 255
	STA fptr2+1
	LDA #(fade_map_lum_hi + 8*8) >> 8
	STA fptr2+2
	;
	JSR FadeInit
	;         
	; -- pre-fill with white
	;
	LDX #$03
	LDA #$77	; lum/lum (of $71)
fi1	STA (addr),y
	INY
	BNE fi1
	INC addr+1
	DEX
	BPL fi1
	;
	LDX #$03
	LDA #$11	; col/col (of $71)
fi2	STA (addr),y
	INY
	BNE fi2
	INC addr+1
	DEX
	BPL fi2
	;
	LDX #$03
	LDA #$77
fi3	STA (addr),y
	INY
	BNE fi3
	INC addr+1
	DEX
	BPL fi3
	;
	LDX #$03
	LDA #$11
fi4	STA (addr),y
	INY
	BNE fi4
	INC addr+1
	DEX
	BPL fi4
	;
	; ---
	;
	LDA #$E0
	STA addr+1
	JSR fsync1
	;
	LDA #$3B	; turn graphics mode on
	STA $FF06
	;
	LDA $FF07	; PAL/NTSC friendly
	AND #$40
	ORA #$08	; use $18 for multicolor
	STA $FF07
	;
	LDA #$00
fi_loop	PHA
	;
	JSR FadeRender
	;
	LDA fptr1+1		; decrement pointer in the fade table
	SEC
	SBC #$08
	STA fptr1+1
	BCS *+5
	DEC fptr1+2
	;
	LDA fptr2+1
	SEC
	SBC #$08
	STA fptr2+1
	BCS *+5
	DEC fptr2+2
	;
	PLA
	CLC
	ADC #$01
	CMP #$09		; fade table is 9 steps
	BNE fi_loop          
	;
	LDA ff14src+1		; fade is done, reset color map
	STA $FF14
	;
	RTS

FadeOut	
	LDA #(fade_map_lum_lo) & 255
	STA fptr1+1
	LDA #(fade_map_lum_lo) >> 8
	STA fptr1+2
	LDA #(fade_map_lum_hi) & 255
	STA fptr2+1
	LDA #(fade_map_lum_hi) >> 8
	STA fptr2+2
	;
	JSR FadeInit
	;
	LDA #$00
fo_loop	PHA
	;
	JSR FadeRender
	;
	LDA fptr1+1		; increment pointer in the fade table
	CLC
	ADC #$08
	STA fptr1+1
	BCC *+5
	INC fptr1+2
	;
	LDA fptr2+1
	CLC
	ADC #$08
	STA fptr2+1
	BCC *+5
	INC fptr2+2
	;
	PLA
	CLC
	ADC #$01
	CMP #$09		; fade table is 9 steps
	BNE fo_loop          
	;
	LDA #$00		; fade is done, turn screen off and return
	STA $FF06
	;
	RTS

FadeInit
	LDY #$00
	STY addr
	STY caddr
	STY ptr
	STY ptr+2
	LDA #$E0
	STA addr+1
	ORA #$04
	STA caddr+1
	RTS
	
FadeRender
	LDA addr+1		; set up dest
	AND #$F8		; set to even 1024 bytes
	EOR #$08		; keep switching $0800 bytes
	STA addr+1
	ORA #$04
	STA caddr+1
	;
ff14src	LDA #$40		; set up source ($4000)
	STA ptr+1
	ORA #$04
	STA ptr+2+1
	;
	LDY #$00
fol1	LDA (ptr+2),y		; copy colors unmodified
	CMP #$F1		; skip specially marked colors (empty chars)
	BEQ fol2
	STA (caddr),y
	;
	LDA (ptr),y
	AND #$0F
	TAX
fptr1	LDA fade_map_lum_lo+0,x
	BPL fx1
	;
	LDA (caddr),y		; negative is flag: use white ($71)
	AND #$0F		; set color to 1
	ORA #$10
	STA (caddr),y
	;
	LDA #$07		; set lum to 7
	;
fx1	STA fotmp1+1
	;
	LDA (ptr),y
	LSR a
	LSR a
	LSR a
	LSR a
	TAX
fptr2	LDA fade_map_lum_hi+0,x
	BPL fx2
	;
	LDA (caddr),y		; set col to 1
	AND #$F0
	ORA #$01
	STA (caddr),y
	;
	LDA #$70		; set lum to 7
fx2	;
fotmp1	ORA #$00
	STA (addr),y
	;
fol2	INY
	BNE fol1
	;
	INC ptr+1
	INC addr+1
	INC ptr+2+1
	INC caddr+1
	;
	LDA ptr+1		; check if we're done
	AND #$03		; we should be on an even 1024 byte page
	BNE fol1
	;     
	; ---
	;
	;
fsync1	LDA $FF1D
	CMP #$CC
	BNE fsync1
	;
	LDA addr+1		; switch to the new color map
	STA $FF14
	;
	RTS

	include "data_fade.asm"
