;	ORG $1001-2	; uncomment for standalone compilation
;	DW $1001
;	DB $0B,$10,0,0,$9E,"4109",0,0,0
;canflag = gdone
;irq = irqe
	
ptr	= $E0
cnt	= $E4
gcnt	= $E5		; name flash counter
gptr	= $E6		; pointer to the greetings text
fadeptr	= $E8
;
width	= 14		; constants for fire effect
height	= 20
	
fire
	LDA #greets & 255
	STA gptr
	LDA #greets >> 8
	STA gptr+1
	;
	LDA #trmap & 255
	STA ptr
	LDA #trmap >> 8
	STA ptr+1
	;
	LDY #$0B
	STY $FF06		; screen off
	;
	LDY #$00
	STY cnt
	STY gcnt
	STY ptr+2
	;
	LDA #$F0		; fill color map for the color of the torch
	STA ptr+3
	;
	LDX #$04		; 4*256 pages
	LDA #$21		; dark gray color
fl3	STA (ptr+2),y
	INY
	BNE fl3
	;
	INC ptr+3
	DEX
	BNE fl3
	;
	; --- main unpack loop
	;
fl1	LDX #$01
	JSR tnext
	CMP #$FF		; the flag byte is $FF
	BNE tput
	;
	JSR tnext		; the tnext byte will be the number of times...
	TAX
	;
	JSR tnext		; to repeat the tnext char
	;
tput	STA (ptr+2),y
	INC ptr+2
	BNE *+4
	INC ptr+3
	;
	DEX
	BNE tput
	;
	LDA ptr+3
	CMP #$F8		; when the high byte reaches $10, we're done
	BNE fl1
	;
	; ---
	;    
	LDY #$00		; copy fire fonts
	STY ptr
	STY ptr+2
	LDA #font >> 8
	STA ptr+1
	LDA #$D0
	STA ptr+3
	;
	LDX #$07
cl1	LDA (ptr),y
	STA (ptr+2),y
	INY
	BNE cl1
	;
	INC ptr+1
	INC ptr+3
	;
	LDA ptr+3
	AND #$01
	BNE cl1
	;
	LDA ptr+3
	CLC
	ADC #$06
	STA ptr+3
	CMP #$F0
	BNE cl1
	;
	; ---
	;    
	LDY #$00		; copy letters
	STY ptr+2
	LDA #$D4
	STA ptr+3
	;
	LDX #$07
	;
cl3	LDY #$00		; copy letters
	STY ptr
	LDA #letters >> 8
	STA ptr+1
	;
cl2	LDA (ptr),y
	STA (ptr+2),y
	INY
	BNE cl2
	;
	INC ptr+1
	INC ptr+3
	;
	LDA ptr+3
	AND #$03
	BNE cl2
	;
	LDA ptr+3
	CLC
	ADC #$04
	STA ptr+3
	CMP #$F4
	BNE cl3
	;
	; ---
	;
	LDX #$00
il2	LDA #$00		; clear screen
	STA $0C00,x
	STA $0D00,x
	STA $0E00,x
	STA $0F00,x
	INX
	BNE il2
	;      
	LDY #$00		; fill color map
	STY ptr
	LDA #$08
	STA ptr+1
	;
	LDX #24
il4	LDY #$27		; length of one line
il3	LDA colors,y
	STA (ptr),y
	DEY
	BPL il3
	;
	LDA ptr
	CLC
	ADC #$28
	STA ptr
	BCC *+4
	INC ptr+1
	;
	DEX
	BPL il4
	;
	LDA $FF07
	AND #$40
	BEQ pal3
	;
	LDA ntsc_1+1		; on ntsc, we have to scale back a bit...
	CLC
	ADC #$02
	STA ntsc_1+1 
	;
	LDA ntsc_2+1 
	CLC
	ADC #$02
	STA ntsc_2+1 
	;
	LDA ntsc_3+1
	SEC
	SBC #$05
	STA ntsc_3+1
pal3	;
	LDA #gray_fade-blue_fade-1
	STA fadeptr
	;
	; ----------------------
	;
main	LDA #$CC
fs1	CMP $FF1D		; sync to bottom of screen
	BNE fs1
	;
	LDY fadeptr
	LDA gray_fade,y		; look up torch color
	LDY #$14
fs2	STA $F301+40*0,y	; set the colors of the torch in each frame...
	STA $F301+40*1,y	; wasteful, but easier to deal with fades this way
	STA $F301+40*2,y
	STA $F301+40*3,y
	STA $F301+40*4,y
	STA $F301+40*5,y
	DEY
	BNE fs2
	;
	; ---
	;
	LDX #$FF		; sync value for pal
	;
	LDY fadeptr
	LDA blue_fade,y
	TAY
	;
	LDA $FF07
	AND #$40
	BEQ pal2
	;
	LDX #$F6		; on NTSC it's a little earlier 
pal2	CPX $FF1D
	BNE pal2
	;	
	STY $FF19
	STY $FF15
	;
	LDA $FF07
	AND #$40
	ORA #$98
	STA $FF07
	;
	LDA #$66
	STA $FF16
	LDA #$61
	STA $FF17
	;
	LDA $FF12
	AND #$03
	STA $FF12
	LDA #$D0
	STA $FF13
	;
	LDA #$1B
	STA $FF06
	;
	LDA #$08
	STA $FF14
	;
	INC cnt
	LDA cnt
	AND #$06
	ASL a
	ASL a
	CLC
	ADC #$D0
	STA $FF13
	;
	;INC $FF19		; uncomment to debug
	;
	LDX #width+2
rand	LDA $FF00		; seed fire effect
	EOR $FF1E
stopf	LDA #$00		; stop/start it with LDA/ADC opcodes
	STA $0C00 + (40-width)/2-2 + height*40,X
	DEX 
	BNE rand
	;
ntsc_1	LDA #(40-width)/2-1	; initialize pointers
	STA ptr  
ntsc_2	LDA #(40-width)/2-1+40
	STA ptr+2
	;
	LDA #$0C
	STA ptr+1
	STA ptr+3
	;
	LDX #height
	;
loop	
ntsc_3	LDY #width
fl2	LDA (ptr),Y		; the fire effect is done by replacing each char with a new sum
	CLC			; which is (add 4 values)/4. First we take the current char
	DEY
	ADC (ptr+2),Y		; add below left
	INY    
	ADC (ptr+2),Y		; add below
	INY 
	ADC (ptr+2),Y		; add below right
	LSR a
	LSR a			; then div by 4
	DEY
	STA (ptr),Y		; and store it on the current char.
	DEY
	;
	BNE fl2
	;
	LDA ptr+3		; copy ptr+2 to ptr (one line down)
	STA ptr+1
	LDA ptr+2
	STA ptr
	CLC
	ADC #$28		; and add 40 to ptr+2
	STA ptr+2
	BCC *+4
	INC ptr+3
	;
	DEX			; are we at the end?
	BNE loop
	;
	;DEC $FF19
	;
	LDA #$95
rsync0	CMP $FF1D
	BNE rsync0
	;
	SEI			; SEI/CLI is redundant, but safe
	STA $FF3F		; and needed for sandalone compilation
	;
	LDA #sirq & 255
	STA $FFFE
	LDA #sirq >> 8
	STA $FFFF
	LDA #$9A
	STA $FF0B
	;
	CLI
	;
	LDA #$A5
rsync1	CMP $FF1D
	BNE rsync1
	;
	; ---
	;          
	LDY #$00		; pre-check if we're at the end of names
	LDA (gptr),y
	BMI gdone
	;
	LDA fadeptr 
	BEQ faded_in
	;
	DEC fadeptr
	JMP main	
	;
faded_in
	LDA #$69
	STA stopf		; start fire
	;
	; ---
	;
	LDX gcnt
	LDA gcolors,x		; flash names
	LDY #$0C
gclr	STA $0800,y
	STA $0828,y
	DEY
	BPL gclr
	;
	INX
	STX gcnt
	CPX #gcolors_end-gcolors
	BNE gskip
	;
	LDY #$00
	STY gcnt
gloop	LDA (gptr),y
	BMI gdone
	BEQ eon
	ORA #$80
	STA $0C00,y
	CLC
	ADC #$40
	STA $0C28,y
	INY
	BNE gloop
	;
eon	INY
	TYA
	CLC
	ADC gptr
	STA gptr
	BCC *+4
	INC gptr+1
	;
	DEY
	;
	LDA #$00
spc1	STA $0C00,y
	STA $0C28,y
	INY
	CPY #14
	BNE spc1	
	;
gskip	JMP main
	;
gdone	LDA #$A9		; LDA #$00 opcode
	STA stopf		; without seeding the bottom row, the fire stops
	;
	LDA fadeptr
	CMP #gray_fade-blue_fade-1
	BEQ firedone
	;
	INC fadeptr
	;
	JMP main
	;
firedone
	JMP canflag
	;
sirq	PHA
	TXA
	PHA
	;
	ASL $06
	ASL $06
	ASL $06
	ASL $06
	ASL $06
	ASL $06
	ASL $06
	ASL $06
	NOP
	;
	LDA #$F0		; new FF14 value
	LDX #trmap >> 8		; new FF13 value
	STA $FF14
	STX $FF13	
	;
	LDA #irq & 255
	STA $FFFE
	LDA #irq >> 8
	STA $FFFF
	LDA #$62
	STA $FF0B
	;
	PLA
	TAX
	PLA
	;
irqe	ASL $FF09
	RTI
	;
colors
	DB $16,$16,$16,$16, $16,$16,$16,$16, $16,$16,$16,$16, $16
	DB $61+8,$77+8,$77+8,$77+8, $77+8,$77+8,$77+8, $77+8,$77+8,$77+8, $77+8,$77+8,$77+8,$61+8
	DB $16,$16,$16,$16, $16,$16,$16,$16, $16,$16,$16,$16, $16
	
gcolors
	DB $46,$41,$31,$31,$21,$11,$01,$01
	DB $00,$01,$01,$11,$21,$31,$31,$41,$46,$56
gcolors_end

blue_fade
	DB $56,$56,$66,$56,$66,$66,$66,$6E,$66,$6E,$6E,$6E,$6E,$73,$73,$73,$7D,$7D,$7D,$71
gray_fade
	DB $21,$31,$31,$31,$41,$31,$41,$41,$41,$51,$41,$51,$51,$51,$61,$51,$61,$61,$61,$71
	
tnext	LDA (ptr),y		; get the tnext byte from our data stream
	INC ptr		; 16 bit inc
	BNE *+4
	INC ptr+1
	RTS  
	
	CMAP
	CMAP "a",1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26
	include "greets.asm"
	CMAP

trmap
	include "torch_charmap.asm"
	ALIGN 8
o1=(*-(* & $F800))/8		; offset for the chars
	include "torch_charset.asm"
	
	ALIGN 256
letters	; 512*16 h
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$3E,$7E,$66
	DB $00,$60,$60,$60,$60,$7C,$7E,$66
	DB $00,$00,$00,$00,$00,$3E,$7E,$60
	DB $00,$06,$06,$06,$06,$3E,$7E,$66
	DB $00,$00,$00,$00,$00,$3E,$7E,$6C
	DB $00,$0E,$1E,$18,$18,$7E,$7E,$18
	DB $00,$00,$00,$00,$00,$3E,$7E,$66
	DB $00,$60,$60,$60,$60,$7C,$7E,$66
	DB $00,$18,$18,$00,$00,$78,$78,$18
	DB $00,$06,$06,$00,$00,$1E,$1E,$06
	DB $00,$60,$60,$60,$60,$66,$66,$7C
	DB $00,$38,$38,$18,$18,$18,$18,$18
	DB $00,$00,$00,$00,$00,$FE,$FF,$DB
	DB $00,$00,$00,$00,$00,$7C,$7E,$66
	DB $00,$00,$00,$00,$00,$3C,$7E,$66
	DB $00,$00,$00,$00,$00,$7C,$7E,$66
	DB $00,$66,$66,$00,$00,$3E,$7E,$66
	DB $00,$00,$00,$00,$00,$7C,$7E,$66
	DB $00,$00,$00,$00,$00,$0E,$1E,$18
	DB $00,$18,$18,$18,$18,$7E,$7E,$18
	DB $00,$00,$00,$00,$00,$66,$66,$66
	DB $00,$00,$00,$00,$00,$66,$66,$66
	DB $00,$00,$00,$00,$00,$DB,$DB,$DB
	DB $00,$00,$00,$00,$00,$66,$7E,$3C
	DB $00,$00,$00,$00,$00,$66,$66,$66
	DB $00,$00,$00,$00,$00,$7E,$7E,$1C
	DB $00,$00,$00,$00,$00,$7F,$7F,$66
	DB $00,$00,$00,$00,$00,$C7,$E7,$66
	DB $00,$00,$00,$00,$00,$FC,$FE,$66
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$60,$60,$00,$00,$60,$60,$60
	DB $00,$66,$66,$22,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$18,$18,$08,$00,$00,$00,$00
	DB $00,$0C,$1C,$38,$30,$30,$30,$30
	DB $00,$30,$38,$1C,$0C,$0C,$0C,$0C
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$18,$18,$7E
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$7E
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$06,$0E,$1C
	DB $00,$00,$3C,$7E,$66,$6E,$7E,$76
	DB $00,$00,$18,$38,$38,$18,$18,$18
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$3C,$7E,$66,$06,$0C,$06
	DB $00,$00,$0E,$1E,$3E,$76,$66,$7E
	DB $00,$00,$7E,$7E,$60,$7C,$7E,$06
	DB $00,$00,$3E,$7E,$60,$7C,$7E,$66
	DB $00,$00,$7E,$7E,$66,$06,$0C,$18
	DB $00,$00,$3C,$7E,$66,$66,$3C,$66
	DB $00,$00,$3C,$7E,$66,$66,$7E,$3E
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00

	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $66,$7E,$3E,$00,$00,$00,$00,$00
	DB $66,$7E,$7C,$00,$00,$00,$00,$00
	DB $60,$7E,$3E,$00,$00,$00,$00,$00
	DB $66,$7E,$3E,$00,$00,$00,$00,$00
	DB $78,$7E,$3E,$00,$00,$00,$00,$00
	DB $18,$18,$18,$18,$18,$18,$18,$00
	DB $66,$7E,$3E,$06,$66,$7E,$3C,$00
	DB $66,$66,$66,$00,$00,$00,$00,$00
	DB $18,$7E,$7E,$00,$00,$00,$00,$00
	DB $06,$06,$06,$06,$66,$7E,$3C,$00
	DB $7C,$66,$66,$00,$00,$00,$00,$00
	DB $18,$7E,$7E,$00,$00,$00,$00,$00
	DB $DB,$DB,$DB,$00,$00,$00,$00,$00
	DB $66,$66,$66,$00,$00,$00,$00,$00
	DB $66,$7E,$3C,$00,$00,$00,$00,$00
	DB $66,$7E,$7C,$60,$60,$60,$60,$00
	DB $66,$7E,$3E,$00,$00,$00,$00,$00
	DB $60,$60,$60,$00,$00,$00,$00,$00
	DB $18,$78,$70,$00,$00,$00,$00,$00
	DB $18,$1E,$0E,$00,$00,$00,$00,$00
	DB $66,$7E,$3E,$00,$00,$00,$00,$00
	DB $7E,$3C,$18,$00,$00,$00,$00,$00
	DB $DB,$FF,$7E,$00,$00,$00,$00,$00
	DB $3C,$7E,$66,$00,$00,$00,$00,$00
	DB $66,$7E,$3E,$06,$66,$7E,$3C,$00
	DB $38,$7E,$7E,$00,$00,$00,$00,$00
	DB $66,$66,$66,$00,$00,$00,$00,$00
	DB $66,$66,$66,$00,$00,$00,$00,$00
	DB $66,$66,$66,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $60,$60,$60,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $30,$30,$38,$1C,$0C,$00,$00,$00
	DB $0C,$0C,$1C,$38,$30,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $7E,$18,$18,$00,$00,$00,$00,$00
	DB $00,$18,$18,$10,$00,$00,$00,$00
	DB $7E,$00,$00,$00,$00,$00,$00,$00
	DB $00,$18,$18,$00,$00,$00,$00,$00
	DB $38,$70,$60,$00,$00,$00,$00,$00
	DB $66,$7E,$3C,$00,$00,$00,$00,$00
	DB $18,$7E,$7E,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $66,$7E,$3C,$00,$00,$00,$00,$00
	DB $7E,$06,$06,$00,$00,$00,$00,$00
	DB $06,$7E,$7C,$00,$00,$00,$00,$00
	DB $66,$7E,$3C,$00,$00,$00,$00,$00
	DB $18,$18,$18,$00,$00,$00,$00,$00
	DB $66,$7E,$3C,$00,$00,$00,$00,$00
	DB $06,$7E,$7C,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00

font
	; 64*256 m
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00

	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$10,$00,$00,$00,$00
	DB $00,$00,$04,$00,$00,$10,$00,$00

	DB $00,$00,$10,$04,$40,$10,$04,$41
	DB $10,$00,$41,$04,$10,$44,$11,$64
	DB $00,$04,$10,$04,$44,$15,$59,$6A
	DB $04,$10,$04,$15,$59,$69,$9A,$66
	DB $9A,$66,$AA,$9A,$A9,$AA,$AE,$BA
	DB $9A,$6A,$A6,$AA,$AA,$AE,$EB,$BA
	DB $AA,$A6,$AA,$BA,$AA,$AE,$BB,$EE
	DB $9A,$AA,$EA,$AB,$AE,$BB,$EE,$BF

	DB $AE,$BA,$AE,$EB,$BA,$AB,$AE,$EB
	DB $BA,$AE,$BA,$EB,$AE,$BB,$AE,$BB
	DB $AE,$BA,$AE,$BA,$EB,$AE,$BB,$EE
	DB $AE,$BA,$AE,$BB,$EE,$AB,$EE,$BB
	DB $BF,$FB,$EF,$FB,$EF,$BB,$EE,$FB
	DB $BF,$FB,$EF,$BB,$EE,$BB,$EF,$FB
	DB $BF,$FB,$EF,$BB,$EF,$BB,$EE,$BB
	DB $BF,$FB,$EE,$EB,$AE,$BB,$EE,$FA

	DB $EF,$BF,$FE,$FB,$FF,$FE,$BF,$FB
	DB $EF,$FE,$BF,$FF,$FF,$FE,$FF,$FB
	DB $FB,$FF,$FF,$FE,$BF,$FF,$FF,$EF
	DB $FF,$EF,$FB,$FF,$EF,$FB,$FF,$FF
	DB $FF,$FF,$FB,$EF,$FF,$FB,$EF,$FF
	DB $FF,$FF,$EF,$FF,$FB,$EF,$FF,$FF
	DB $FF,$FF,$FF,$EF,$FB,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FB,$FF,$FF,$FF

	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF

	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF

	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF

	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00

	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$04,$00,$00,$00
	DB $00,$00,$00,$04,$10,$00,$00,$00

	DB $00,$04,$00,$40,$01,$44,$10,$01
	DB $00,$10,$41,$00,$04,$11,$44,$19
	DB $00,$10,$04,$40,$11,$54,$65,$99
	DB $10,$04,$10,$54,$65,$59,$65,$99
	DB $9A,$66,$AA,$A6,$A9,$AA,$AE,$EA
	DB $9A,$6A,$A6,$AA,$AA,$AE,$EB,$BA
	DB $AA,$A6,$AA,$BA,$AA,$AE,$BB,$EE
	DB $9A,$AA,$AA,$AE,$AA,$BB,$EE,$BB

	DB $9A,$AE,$AB,$BA,$EB,$AE,$BA,$AE
	DB $BB,$AE,$BB,$AE,$EB,$BA,$AE,$BA
	DB $EE,$BB,$AE,$EB,$BA,$AE,$BA,$AE
	DB $BB,$EE,$AB,$EE,$BB,$EE,$AA,$AE
	DB $FB,$EE,$BB,$EF,$FB,$EF,$FF,$BB
	DB $FB,$EF,$BB,$EE,$BB,$EF,$EB,$FF
	DB $BB,$EE,$BB,$EF,$AB,$EF,$FB,$BF
	DB $FA,$EE,$BB,$AE,$FB,$EE,$FB,$BF

	DB $FB,$BF,$FE,$EF,$FB,$FF,$BF,$EF
	DB $EF,$FF,$FB,$FF,$FB,$FF,$BF,$EF
	DB $FF,$EF,$FB,$FF,$BF,$EF,$FB,$FF
	DB $FF,$FB,$FF,$FF,$BF,$FF,$FB,$FF
	DB $FF,$FF,$EF,$FB,$FF,$EF,$FB,$FF
	DB $FF,$FF,$FB,$FF,$FF,$EF,$FB,$FF
	DB $FF,$FF,$FF,$FB,$FF,$EF,$FF,$FF
	DB $FF,$FF,$FF,$EF,$FF,$FF,$FF,$FF

	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF

	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF

	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF

	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00

	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$10,$00,$00
	DB $00,$00,$00,$00,$01,$00,$04,$00

	DB $00,$04,$01,$10,$00,$44,$10,$44
	DB $00,$10,$44,$10,$04,$15,$59,$15
	DB $00,$10,$04,$40,$11,$54,$65,$99
	DB $10,$04,$10,$54,$65,$59,$65,$99
	DB $9A,$66,$AA,$A6,$A9,$AA,$AE,$EA
	DB $9A,$6A,$A6,$AA,$AA,$AE,$EB,$BA
	DB $AA,$A6,$AA,$BA,$AA,$AE,$BB,$EE
	DB $9A,$AA,$AA,$AE,$AA,$BB,$EE,$BB

	DB $9A,$AE,$AB,$BA,$EB,$AE,$BA,$AE
	DB $BB,$AE,$BB,$AE,$EB,$BA,$AE,$BA
	DB $EE,$BB,$AE,$EB,$BA,$AE,$BA,$AE
	DB $BB,$EE,$AB,$EE,$BB,$EE,$AA,$AE
	DB $FB,$EE,$BB,$EF,$FB,$EF,$FF,$BB
	DB $FB,$EF,$BB,$EE,$BB,$EF,$EB,$FF
	DB $BB,$EE,$BB,$EF,$AB,$EF,$FB,$BF
	DB $FA,$EE,$BB,$AE,$FB,$EE,$FB,$BF

	DB $FB,$FF,$EE,$BF,$EF,$FF,$FE,$FB
	DB $EF,$FE,$BF,$FB,$EF,$FF,$FF,$FB
	DB $FF,$FE,$FB,$BF,$FF,$EF,$FF,$FB
	DB $FF,$FE,$FF,$FB,$FF,$FF,$EF,$FF
	DB $EF,$FB,$FF,$FF,$FF,$BF,$EF,$FF
	DB $FF,$EF,$FF,$FF,$FE,$FF,$FB,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FB,$EF,$FF
	DB $FF,$FF,$FB,$FF,$FF,$FF,$FF,$FF

	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF

	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF

	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF

	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00

	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$00,$00,$00,$00,$00,$00
	DB $00,$00,$04,$00,$00,$00,$00,$00
	DB $00,$00,$10,$00,$04,$00,$00,$00

	DB $00,$10,$04,$00,$10,$44,$01,$04
	DB $04,$40,$01,$08,$11,$00,$04,$00
	DB $00,$04,$10,$18,$25,$44,$44,$10
	DB $04,$10,$54,$65,$69,$65,$11,$45
	DB $9A,$66,$AA,$A6,$A9,$AA,$AE,$EA
	DB $A6,$AA,$AA,$AA,$AE,$AA,$EB,$AE
	DB $9A,$AA,$AA,$BA,$AA,$EE,$BB,$AB
	DB $AA,$AA,$AA,$AE,$AB,$BA,$AB,$FB

	DB $9A,$AE,$AB,$BA,$EB,$AE,$BA,$AE
	DB $BB,$AE,$BB,$AE,$EB,$BA,$AE,$BA
	DB $EE,$BB,$AE,$EB,$BA,$AE,$BA,$AE
	DB $BB,$EE,$AB,$EE,$BB,$EE,$AA,$AE
	DB $FB,$BF,$FB,$EF,$FE,$FB,$EE,$FB
	DB $FB,$EE,$BB,$FE,$BF,$EF,$FB,$FE
	DB $BB,$EE,$BB,$EE,$BB,$EF,$FB,$BF
	DB $FE,$EF,$BB,$EF,$BA,$EE,$BB,$AF

	DB $BF,$EF,$FE,$BF,$FB,$EF,$FE,$BF
	DB $FF,$EF,$FE,$BB,$FF,$EF,$FE,$FF
	DB $FF,$EF,$FB,$FF,$FB,$EF,$FF,$BF
	DB $FF,$EF,$FF,$FF,$FB,$FF,$BF,$FF
	DB $FF,$FB,$FE,$FF,$FB,$FF,$EF,$FF
	DB $FB,$FF,$FF,$FE,$FF,$FF,$EF,$FF
	DB $FF,$FF,$FF,$FB,$BF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FB,$FF,$FF

	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF

	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF

	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	DB $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
;[eof]