	ORG $1001-2
	DW  $1001
	
	DW nextln,0	; second word is line number
	DB $9E
	if start > 9999
	DB "0"+start/10000
	endif
	DB "0"+(start/1000)%10,"0"+(start/100)%10,"0"+(start/10)%10,"0"+start%10,0
nextln	DB 0,0
	
start
	SEI
	STA $FF3F
	;
	JSR PLAYER_FREQ_INIT	; initialize the music
	;
	LDA #irq & 255		; set up the IRQ
	STA $FFFE
	LDA #irq >> 8
	STA $FFFF
	LDA #$62
	STA $FF0B
	;
	CLI
	;
	JSR hide		; DEMO SEQUENCE: hide char screen
	;
titlescreen
	LDA $FF12
	AND #$03		; keep lowest 2 bits (sound)	
	ORA #$08		; $08 = gfx at $2000
	STA $FF12
	;
	LDA #$40
	STA ff14src+1		; color map is at $4000
	;
	JSR FadeInOut
	;
	LDA $FF12
	AND #$03		; keep lowest 2 bits (sound)	
	ORA #$18		; $18 = gfx at $6000
	STA $FF12
	;
	LDA #$80
	STA ff14src+1		; color map is at $8000
	;
	JSR FadeInOut
	;
	; --- self-mod: change sequence for next time
	;
ljmp	JSR first_loop_done
	;
	JMP fire		; go to fire part
	
first_loop_done
	LDA #waitspc & 255	; after first sequence, make images stay
	STA calld+1		; and continue on pressing space
	;
	LDA #$4C
	STA ljmp
	LDA #canflag & 255	; after first seq, skip fire part
	STA ljmp+1
	LDA #canflag >> 8
	STA ljmp+2
	RTS
	
FadeInOut
	JSR FadeIn
	;
calld	JSR delay		; initially, have a pre-defined delay between images
	;
	JMP FadeOut
	;
	; ---
	;
delay	LDA #$0C		; delay timing for still images
	LDX #$00
	LDY #$00
delay1	INY
	BNE delay1
	INX
	BNE delay1
	SEC
	SBC #$01
	BNE delay1
	;
	RTS
	;
	; ---
	;
waitspc	LDA #$7F
	STA $FD30
	STA $FF08
	LDA $FF08
	AND #$10	; Query keyboard for "Space"
	BNE waitspc
	RTS		; return when pressed
	
irq	PHA
	TXA
	PHA
	TYA
	PHA
	;
	ASL $FF09
	JSR PLAYER
	;
hc	LDX #$00
	LDA keys1,x
	STA $FD30
	STA $FF08
	LDA $FF08
	AND keys2,x
	BNE np
	;
	INX
	STX hc+1
	CPX #keys2-keys1
	BNE np
	;
	JMP drums
	;
np	LDA #$62
	STA $FF0B
	;
	PLA
	TAY
	PLA
	TAX
	PLA
	RTI
	
keys1	DB $EF,$EF,$EF,$FD,$FD,$FB,$F7,$FD,$FB,$FB,$F7,$EF,$FD
keys2	DB $02,$10,$02,$20,$20,$40,$20,$40,$04,$02,$40,$10,$20
	
	include "hide.asm"
	include "fade.asm"
	
	ORG $2000
	include "title.asm"	; images must be aligned to $2000 boundary
	
	include "canflag.asm"
	
	include "music.asm"
	include "!player.asm"
	
	ORG $6000	
	include "mascots.asm"	; 2nd image
	
	include "fire.asm"
	include "drums.asm"
;[eof]